import 'package:flutter/services.dart';
import 'package:zebrautility/ZebraPrinter.dart';

class Zebrautility {
  static const MethodChannel _channel = const MethodChannel('zebrautility');

  static Future<ZebraPrinter> getPrinterInstance (Function onPrinterFound,
      Function onPrinterDiscoveryDone, Function onChangePrinterStatus, {Function onPermissionDenied}) async {
    String id = await _channel.invokeMethod("getInstance");
    ZebraPrinter printer = ZebraPrinter(
        id, onPrinterFound, onPrinterDiscoveryDone, onChangePrinterStatus, onPermissionDenied: onPermissionDenied);
    return printer;
  }
}
